#include <bits/stdc++.h>

using namespace std;

struct frilenser {
    int64_t zarada;
    double porez;
};

bool dobra_funkcija(frilenser a, frilenser b)
{
    return (a.porez < b.porez);
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    int32_t n;
    cin >> n;

    vector<frilenser> v(n);
    vector<int64_t> prefiksne_sume(n);

    for(auto i = 0; i < n; i++) {
        cin >> v[i].zarada >> v[i].porez;
    }

    std::sort(begin(v), end(v), dobra_funkcija);

    prefiksne_sume[0] = v[0].zarada;
    for(auto i = 1; i < n; i++) {
        prefiksne_sume[i] = prefiksne_sume[i - 1] + v[i].zarada;
    }

    vector<double> zarade(n);
    zarade[0] = prefiksne_sume[n - 1] * (v[0].porez / 100);
    double m = zarade[0];

    for(auto i = 1; i < n; i++) {
        zarade[i] = (prefiksne_sume[n - 1] - prefiksne_sume[i - 1]) * (v[i].porez / 100);
        m = max(m, zarade[i]);
    }

    cout << fixed << showpoint << m << '\n';

    cout.flush();
    return 0;
}